# FairMQ: fair::mq::sdk::DDSSession::Impl Struct Reference

fair::mq::sdk::DDSSession::Impl Struct Reference
Collaboration diagram for fair::mq::sdk::DDSSession::Impl:
[legend]

## Classes

struct | Tag

## Public Member Functions

| Impl (DDSEnvironment env)
| Impl (Id existing, DDSEnvironment env)
| Impl (std::shared_ptr< dds::tools_api::CSession > nativeSession, DDSEnv env)
| Impl (const Impl &)=delete
Impl & | operator= (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (Impl &&)=delete

## Public Attributes

tools::InstanceLimiter< Tag, 1 > | fCount
DDSEnvironment | fEnv
DDSRMSPlugin | fRMSPlugin
Path | fRMSConfig
std::shared_ptr< dds::tools_api::CSession > | fSession
dds::intercom_api::CIntercomService | fDDSService
dds::intercom_api::CCustomCmd | fDDSCustomCmd
Id | fId
bool | fStopOnDestruction

## Friends

auto | operator<< (std::ostream &os, Tag) -> std::ostream &

The documentation for this struct was generated from the following file:

- fairmq/sdk/DDSSession.cxx

privacy